{ pkgs
, lib
, config
, ...
}:

{
  treefmt.enable = true;

  treefmt.config.programs.nixpkgs-fmt.enable = true;

  git-hooks = {
    enable = true;

    hooks = {
      treefmt.enable = true;
    };
  };
}
